Tourists can go on EVA from Command Seats
History
Description

There's no restriction for tourists being placed into the EAS-1 External Command Seats via the crew menu in the VAB.

Consequently, they man them while in space suits. Having them "leave" the seat thus puts them on EVA, which they should not be
able to do.

History

#1 - 11/28/2020 09:11 PM - 18Watt
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Perhaps this is actually intended behavior, or not fixed on purpose. This behavior seems more appropriate to me.
My thinking is you can lock Kerbals in a can, and they can't get out. But even the dimmest Kerbal could probably figure out how to get out of a seat.
Personally, | like this behavior, and consider it a 'feature’, not a bug.

| do confirm this behavior, I'm on OSX v1.10.1.

Interestingly, | can get a Tourist out of their seat before | upgrade the Astronaut Complex (Kerbal astronauts can as well). At this point (before
Astronaut Complex upgrade), | can't get a Kerbal astronaut (Jeb) to EVA from a capsule in orbit. But | CAN get a Tourist to leave an external seat.

#2 - 01/12/2021 10:27 PM - victorr
- Status changed from Confirmed to Ready to Test
- Target version set to 1.11.0

- % Done changed from 10 to 80

We've made some changes in this last release and would like to have some feedback on this issue. Thanks.

#3 - 08/13/2021 03:17 PM - Technicalfool
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100
